summaryrefslogtreecommitdiff
path: root/Master
diff options
context:
space:
mode:
authorManuel Pégourié-Gonnard <mpg@elzevir.fr>2008-07-07 13:11:08 +0000
committerManuel Pégourié-Gonnard <mpg@elzevir.fr>2008-07-07 13:11:08 +0000
commit12372868dcef43b25fba8b547b8ef2fbb33690c6 (patch)
tree6028d512efdb2ad12bedd8837158e005724ad0dd /Master
parent2c5923cf3ec1cf3c0a982c0a85114847ad8674dc (diff)
ptptex v0.95 2004/05/24
git-svn-id: svn://tug.org/texlive/trunk@9331 c570f23f-e606-0410-a88d-b1316a301751
Diffstat (limited to 'Master')
-rw-r--r--Master/texmf-dist/doc/latex/ptptex/README.TEXLIVE8
-rw-r--r--Master/texmf-dist/tex/latex/ptptex/wrapft.sty16
-rwxr-xr-xMaster/tlpkg/bin/ctan2tds8
-rwxr-xr-xMaster/tlpkg/bin/tlpkg-ctan-check2
4 files changed, 22 insertions, 12 deletions
diff --git a/Master/texmf-dist/doc/latex/ptptex/README.TEXLIVE b/Master/texmf-dist/doc/latex/ptptex/README.TEXLIVE
new file mode 100644
index 00000000000..f7ebcc19ed8
--- /dev/null
+++ b/Master/texmf-dist/doc/latex/ptptex/README.TEXLIVE
@@ -0,0 +1,8 @@
+The following files have been removed in the TeX Live installation of
+the current package, typically due to duplication, lack of space, or
+missing source code. You can find these files on CTAN. If questions or
+concerns, email tex-live.org.
+
+ overcite.sty
+ wrapfig.sty
+ cite.sty
diff --git a/Master/texmf-dist/tex/latex/ptptex/wrapft.sty b/Master/texmf-dist/tex/latex/ptptex/wrapft.sty
index cba2177f7c5..9bfd271bda2 100644
--- a/Master/texmf-dist/tex/latex/ptptex/wrapft.sty
+++ b/Master/texmf-dist/tex/latex/ptptex/wrapft.sty
@@ -1,15 +1,15 @@
-\ProvidesPackage{wrapft}[2004/04/12 ver.0.9]
+\ProvidesPackage{wrapft}[2004/05/24 ver.0.95]
\RequirePackage{wrapfig}[1999/10/12 \space v 3.3]
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
-\newdimen\WF@hsep %horizontal separation between fig and text
-\newdimen\WF@vsep %vspace on the top and the bottom of the figure
-\WF@hsep=1.6\columnsep
-\WF@vsep=\intextsep
+\newdimen\WFcolsep %horizontal separation between fig and text
+\newdimen\WFtextsep %vspace on the top and the bottom of the figure
+\WFcolsep=1.6\columnsep
+\WFtextsep=\intextsep
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\def\WF@rapt[#1]#2{% final two args: #1 = overhang, #2 = width,
\ifnum `c=\WF@place % fig in the center
\@tempdima\hsize \advance\@tempdima-#2 \divide\@tempdima\tw@
- \vskip\WF@vsep
+ \vskip\WFtextsep
\noindent \hspace*{\@tempdima}\begin{minipage}[t]{#2}%
\else
\gdef\WF@ovh{#1}% hold overhang for later, when \width is known
@@ -21,13 +21,13 @@
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\let\WF@@putfigmaybe\WF@putfigmaybe
\def\WF@putfigmaybe{%
- \columnsep \WF@hsep \intextsep \WF@vsep
+ \columnsep \WFcolsep \intextsep \WFtextsep
\WF@@putfigmaybe}
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\let\@endwr@pfigure\endwrapfigure
\def\endwrapfigure{%
\ifnum `c=\WF@place % fig in the center
- \end{minipage} \vskip\WF@vsep
+ \end{minipage} \vskip\WFtextsep
\else
\@endwr@pfigure
\fi}
diff --git a/Master/tlpkg/bin/ctan2tds b/Master/tlpkg/bin/ctan2tds
index c9e8c68887e..45e4318ca11 100755
--- a/Master/tlpkg/bin/ctan2tds
+++ b/Master/tlpkg/bin/ctan2tds
@@ -1258,6 +1258,7 @@ $standardclean = '\.head|\.tmp|\.dvi|\.log|\.out|\.aux|\.toc|\.lof|\.lot'
'linguex' => 'cgloss4e.sty', # symlink
'piechartmp' => 'piechartmp.pdf',
'pst-3dplot' => 'tb72voss3d.pdf', # no source
+ 'ptptex' => 'overcite.sty|cite.sty|wrapfig.sty', # duplicated
'stubs' => 'stubs.pdf',
'susy' => 'susy.pdf', # no source
'xskak' => 'xskak.pdf', # no source
@@ -2507,7 +2508,8 @@ sub MAKEtipa {
sub MAKEpslatex {
# this simply copies source files
- chdir($packagedir) || die ("ERROR: cannot open directory");
+ chdir($packagedir) || die ("ERROR: cannot open directory");
+ $Foundry = $specialfoundry{$package} || $standardfoundry;
&runjob("mkdir -p $DEST/fonts/tfm/$Foundry/pslatex");
&runjob("mkdir -p $DEST/fonts/vf/$Foundry/pslatex");
&runjob("mkdir -p $DEST/tex/latex/pslatex");
@@ -2516,11 +2518,11 @@ sub MAKEpslatex {
&runjob("$CP latex/* $DEST/tex/latex/pslatex");
&runjob("$CP tfm/* $DEST/fonts/tfm/$Foundry/pslatex");
&runjob("$CP vf/* $DEST/fonts/vf/$Foundry/pslatex");
- &runjob("$CP dvips/* $DEST/dvips/pslatex");
+ &runjob("$CP dvips/* $DEST/fonts/map/dvips/pslatex");
&runjob("$CP -r fontinst $DEST/doc/latex/pslatex");
&runjob("$CP -r shell $DEST/doc/latex/pslatex");
-
}
+
sub MAKEeco {
# this simply copies source files
chdir($packagedir) || die ("ERROR: cannot open directory");
diff --git a/Master/tlpkg/bin/tlpkg-ctan-check b/Master/tlpkg/bin/tlpkg-ctan-check
index 7b7f6128c78..591a9d17df1 100755
--- a/Master/tlpkg/bin/tlpkg-ctan-check
+++ b/Master/tlpkg/bin/tlpkg-ctan-check
@@ -157,7 +157,7 @@ my @WorkingTLP = qw(
pst-solide3d pst-soroban pst-spectra
pst-slpe pst-stru pst-uml pst-vue3d
pst2pdf pstricks pstricks-add
- pxfonts
+ ptptex pxfonts
qcm qstest quotmark qtree
r_und_s randbild rccol rcs rcsinfo recipecard
refstyle regcount register resume robustcommand